> For the complete documentation index, see [llms.txt](https://docs.coldstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/analytics/statistics.md).

# GetStatistics

Returns overall usage statistics.

This operation is an extension to the standard S3 API, and is implemented to provide more information to the about their usage.

### Request <a href="#request" id="request"></a>

```
GET /?statistics HTTP/1.1
```

### Response

**Headings**

The response can only contain [general headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md) .

**Response codes**

For a list of possible answers, see the [Answers](/http-api-compatible-with-amazon-s3/api-reference/answers.md) section .

The successful response contains additional data in XML format, the schema of which is described below.

**Data schema**

```markup
<?xml version="1.0" encoding="UTF-8"?>
<Statistics>
  <BucketsCount>4</BucketsCount>
  <ObjectsCount>12</ObjectsCount>
  <UsedStorage>
    <UsedStorageBytes>271242929</UsedStorageBytes>
    <UsedStorageReadableQuantity>271</UsedStorageReadableQuantity>
    <UsedStorageReadableUnit>MB</UsedStorageReadableUnit>
  </UsedStorage>
  <Bandwidth>
    <BandwidthBytes>271242929</BandwidthBytes>
    <BandwidthReadableQuantity>271</BandwidthReadableQuantity>
    <BandwidthReadableUnit>MB</BandwidthReadableUnit>
  </Bandwidth>
</Statistics>
```

| Element                       | Description                                         |
| ----------------------------- | --------------------------------------------------- |
| `Statistics`                  | Root element.                                       |
| `BucketsCount`                | Number of buckets.                                  |
| `ObjectsCount`                | Overall number of objects in all owned buckets.     |
| `UsedStorage`                 | Used disk storage.                                  |
| `UsedStorageBytes`            | Used storage size represented as bytes.             |
| `UsedStorageReadableQuantity` | Quantity of used storage readable representation.   |
| `UsedStorageReadableUnit`     | Unit of used storage readable representation.       |
| `Bandwidth`                   | Used bandwidth.                                     |
| `BandwidthBytes`              | Used bandwidth represented as bytes.                |
| `BandwidthReadableQuantity`   | Quantity of used bandwidth readable representation. |
| `BandwidthReadableUnit`       | Unit of used bandwidth readable representation.     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/analytics/statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
